OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIX.Framezoom

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXFramezoom :: MonadIO m => m Bool
- gl_SGIX_framezoom :: Bool
- gl_FRAMEZOOM_FACTOR_SGIX :: GLenum
- gl_FRAMEZOOM_SGIX :: GLenum
- gl_MAX_FRAMEZOOM_FACTOR_SGIX :: GLenum
- glFrameZoomSGIX :: MonadIO m => GLint -> m ()

# Extension Support

glGetSGIXFramezoom :: MonadIO m => m Bool

Is the SGIX_framezoom extension supported?

gl_SGIX_framezoom :: Bool

Is the SGIX_framezoom extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXFramezoom` in those cases instead.

# Enums

gl_FRAMEZOOM_FACTOR_SGIX :: GLenum

gl_FRAMEZOOM_SGIX :: GLenum

gl_MAX_FRAMEZOOM_FACTOR_SGIX :: GLenum

# Functions

glFrameZoomSGIX

Arguments

:: MonadIO m |
=> GLint | `factor` of type `CheckedInt32`.
-> m () |